Subject: Re: bug#64921: 13.2.1; Infinite loop in LaTeX-arg-biblatex-cites with RefTeX

From: Ikumi Keita <[email-masked]>
Date: Thu, 17 Aug 2023 16:24:57 +0900

>>>>> Gustavo Barros <[email-masked]> writes:
> On Tue, 15 Aug 2023 at 03:18, Ikumi Keita <[email-masked]> wrote:
>> 
>> Thank you for suggestion. Does the attached patch give you good results?
>> 

> It behaves the same as `reftex-citation`, so it looks good to me.
> Thank you very much!

Thank you for confirmation. I pushed the fix to the git repository.

>> (By the way, the reason that "q"/"C-g" deletes the trace of the previous
>> input is that `TeX-insert-macro' introduced `atomic-change-group' a year
>> ago[1].)

> I see. The thread does not actually cover the reason for the change,
> but it makes sense. Also, I don't know why "q" (`reftex-select-quit')
> counts as "abnormal exit" or if it really should, given that now
> `TeX-insert-macro' uses `atomic-change-group'.

I think RefTeX by design sends quit signal for input "q", which breaks
the elisp execution.

Regards,
Ikumi Keita
#StandWithUkraine #StopWarInUkraine